function generate_listing(filename)
if nargin<1
    return;
end
files = FindFilenames('.m', '.');
diary(filename);
for i=1:length(files)
    disp(files{i});
end
for i=1:length(files)
    help(files{i});
end
for i=1:length(files)
    type(files{i});
end
diary off;
